article{
    background-color: hwb(50 42% 0% / 0.54);
    border: 1px solid rgb(38, 37, 37);
    margin: 1rem;
    height: 100%; 
    display: grid;
    grid-template-areas: 
        "from to"
        "title title"
        "buttons buttons";
}

.readed{
    background-color: hwb(55 64% 16% / 0.54);
}

.from{
    grid-area: from;
}

.to{
    grid-area: to;
}

.title{
    grid-area: title;
}

.buttons{
    grid-area: buttons;
}

p{
    margin: 0;
}

.from, .to{
    margin-top: 0.5rem;
}

.from, .to, .title{
    display: inline-block;
}

.bold{
    font-weight: bold;
}

.msg-title{
    font-weight: normal;
}

.msg_buttons{
    padding: 0.5rem;
    margin: 0.5rem;
    height: 3rem;
}

.buttons{
    display: flex;
    justify-content: center;
    gap: 1rem;
    align-items: center;
}

.leftLabel{
    font-weight: bold;
}

.bGoBack{
    margin-top: 1rem;
}

.icons{
    max-width: 100%;
    height: 100%;
    display: block;
}

@media (min-width: 576px) {
    .buttons{
        justify-content: space-evenly;
    }

    article{
        margin: 0.5rem;
    }
}

@media (min-width: 768px) {
    article{
        height: 15%;
        grid-template-areas: 
            "from to title"
            "buttons buttons buttons";
    }

    .title{
        margin-top: 0.5rem;
    }
}

@media (min-width: 1024px) {
    article{
        grid-template-areas: 
            "from to title buttons";
        grid-template-columns: 1fr 1fr 1fr 1fr;
        align-items: center;
        margin:0;
    }

    .from, .to{
        margin-top: 0;
    }
}

